Bug 7088 - --newname/alternative unpropagated target fails
: --newname/alternative unpropagated target fails
Status: RESOLVED FIXED
: Nimbus
Workspace service
: 2.5
: PC Linux
: P3 normal
: 2.6
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-08-13 11:16 by
Modified: 2010-08-20 11:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-08-13 11:16:35
Unpropagation does not work for any target with a name other than the original.
------- Comment #1 From 2010-08-20 11:50:08 -------
There are two components to this bug:

1. A bug in the workspace service code, fixed in this commit:
http://github.com/nimbusproject/nimbus/commit/c8297708888c23fcfd6f3bf3ff985a5845d33007

2. the $NIMBUS_HOME environment variable was not being expanded in the
services/etc/nimbus/workspace-service/cumulus.conf config file. This was fixed
by adjusting how nimbus-configure writes this file, in this commit:
http://github.com/nimbusproject/nimbus/commit/4c981ffd99c0c67191e49f80da40ed886522964e


It is possible to patch this fix into existing installs of Nimbus 2.5. We have
provided a fixed JAR file built from this branch:
http://github.com/nimbusproject/nimbus/commits/bug7088. 

Fetch it and put it into $NIMBUS_HOME/services/lib/ after backing up the
existing jar file

http://www.nimbusproject.org/downloads/2010-08-19_2045_7c1f35be/nimbus-workspace-service.jar
MD5 = b91aa308d1db109cb2f734083b05891e


Additionally, you must edit
$NIMBUS_HOME/services/etc/nimbus/workspace-service/cumulus.conf. In the value
for "cumulus.repo.dir", replace $NIMBUS_HOME with the real path to your Nimbus
installation.

Finally, restart the nimbus service.